summaryrefslogtreecommitdiffstats
path: root/sbin/reboot
diff options
context:
space:
mode:
authoravg <avg@FreeBSD.org>2010-09-17 09:50:36 +0000
committeravg <avg@FreeBSD.org>2010-09-17 09:50:36 +0000
commiteffc08cc6c7d97fab3424610eacade38dba594d2 (patch)
tree1def24653fe824c203e4503e912fc8167a5827c6 /sbin/reboot
parent55122bfc2d91eba739d0b89cd31df25f07bc8874 (diff)
downloadFreeBSD-src-effc08cc6c7d97fab3424610eacade38dba594d2.zip
FreeBSD-src-effc08cc6c7d97fab3424610eacade38dba594d2.tar.gz
nextboot: warn about limitations of /boot/nextboot.conf on ZFS
MFC after: 1 week
Diffstat (limited to 'sbin/reboot')
-rw-r--r--sbin/reboot/nextboot.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sbin/reboot/nextboot.sh b/sbin/reboot/nextboot.sh
index 56e53f6..bb90c63 100644
--- a/sbin/reboot/nextboot.sh
+++ b/sbin/reboot/nextboot.sh
@@ -50,6 +50,14 @@ if [ ${force} = "NO" -a ! -d /boot/${kernel} ]; then
exit 1
fi
+df -Tn "/boot/" 2>/dev/null | while read _fs _type _other ; do
+ [ "zfs" = "${_type}" ] || continue
+ cat 1>&2 <<-EOF
+ WARNING: loader(8) has only R/O support for ZFS
+ nextboot.conf will NOT be reset in case of kernel boot failure
+ EOF
+done
+
cat > ${nextboot_file} << EOF
nextboot_enable="YES"
kernel="${kernel}"
OpenPOWER on IntegriCloud